summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Hunter Sezen2015-12-31 06:50:52 +0100
committer Willy Sudiarto Raharjo2015-12-31 06:50:52 +0100
commit768e6d4739a1cfe87c1c65f112ab364b58812b23 (patch)
treeb5398f0e6caf8c80970361c1440da6d3439fb222 /games
parent457e2cc208cab9c23bc8d97b99e5f70caf206a90 (diff)
downloadslackbuilds-768e6d4739a1cfe87c1c65f112ab364b58812b23.tar.gz
games/solarus-quest-editor: Added (GUI to edit quests for Solarus).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/solarus-quest-editor/README3
-rw-r--r--games/solarus-quest-editor/doinst.sh3
-rw-r--r--games/solarus-quest-editor/slack-desc19
-rw-r--r--games/solarus-quest-editor/solarus-quest-editor.SlackBuild107
-rw-r--r--games/solarus-quest-editor/solarus-quest-editor.info10
5 files changed, 142 insertions, 0 deletions
diff --git a/games/solarus-quest-editor/README b/games/solarus-quest-editor/README
new file mode 100644
index 0000000000..93415b90c8
--- /dev/null
+++ b/games/solarus-quest-editor/README
@@ -0,0 +1,3 @@
+Solarus Quest Editor is a free and open-source game editor for Solarus, licensed
+under GPL. It is written in C++ with Qt. It helps you managing your project, and
+editing maps, sprites, tilesets, dialogs, scripts, musics and sounds.
diff --git a/games/solarus-quest-editor/doinst.sh b/games/solarus-quest-editor/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/games/solarus-quest-editor/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/solarus-quest-editor/slack-desc b/games/solarus-quest-editor/slack-desc
new file mode 100644
index 0000000000..7deb5bf5fb
--- /dev/null
+++ b/games/solarus-quest-editor/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+solarus-quest-editor: solarus-quest-editor (GUI to edit quests for the Solarus engine)
+solarus-quest-editor:
+solarus-quest-editor: Solarus Quest Editor is a free and open-source game editor for
+solarus-quest-editor: Solarus, licensed under GPL. It is written in C++ with Qt. It helps
+solarus-quest-editor: you managing your project, and editing maps, sprites, tilesets,
+solarus-quest-editor: dialogs, scripts, musics and sounds.
+solarus-quest-editor:
+solarus-quest-editor: Homepage: http://www.solarus-games.org/
+solarus-quest-editor:
+solarus-quest-editor:
+solarus-quest-editor:
diff --git a/games/solarus-quest-editor/solarus-quest-editor.SlackBuild b/games/solarus-quest-editor/solarus-quest-editor.SlackBuild
new file mode 100644
index 0000000000..b332f2260a
--- /dev/null
+++ b/games/solarus-quest-editor/solarus-quest-editor.SlackBuild
@@ -0,0 +1,107 @@
+#!/bin/sh
+
+# Slackware build script for solarus-quest-editor
+
+# Copyright 2015 Hunter Sezen California, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=solarus-quest-editor
+VERSION=${VERSION:-1.4.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || tar xvf $CWD/v$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ install -Dm0755 $PRGNAM $PKG/usr/bin/$PRGNAM
+cd ..
+
+install -Dm0644 images/logo/sqe-logo.png $PKG/usr/share/pixmaps/sqe-logo.png
+install -Dm0644 resources/$PRGNAM.desktop $PKG/usr/share/applications/$PRGNAM.desktop
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Add missing icons to package
+for size in $(find /usr/share/icons/hicolor -type d -mindepth 1 -maxdepth 1 -exec basename {} \; | cut -f1 -d"x"); do
+ if ls images/icon/*${size}* 1>/dev/null 2>/dev/null; then
+ mkdir -p $PKG/usr/share/icons/hicolor/${size}x${size}/apps
+ cp -a images/icon/*${size}*.png \
+ $PKG/usr/share/icons/hicolor/${size}x${size}/apps
+ fi
+done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog README.md license*.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/solarus-quest-editor/solarus-quest-editor.info b/games/solarus-quest-editor/solarus-quest-editor.info
new file mode 100644
index 0000000000..bb3e6572ce
--- /dev/null
+++ b/games/solarus-quest-editor/solarus-quest-editor.info
@@ -0,0 +1,10 @@
+PRGNAM="solarus-quest-editor"
+VERSION="1.4.5"
+HOMEPAGE="http://www.solarus-games.org/"
+DOWNLOAD="https://github.com/christopho/solarus-quest-editor/archive/v1.4.5.tar.gz"
+MD5SUM="2af8a97bb53aac488974e69d81972050"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="solarus qt5"
+MAINTAINER="Hunter Sezen"
+EMAIL="ovariegata@yahoo.com"